%define	version 1.0
%define release 1mdk

%define major 0
%define libname %mklibname gpg-error %{major}

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnupg.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.


%package	-n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package	-n %{libname}-devel
Summary:	Development related files of %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	-n %{libname}-devel
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
%make
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*


%changelog
* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 1.0-1mdk
- New version
- Remove P0 (upstream)

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.7-2mdk
- Patch0: automake 1.8 compatibility

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- New version

* Mon Dec 08 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- 0.6
- Patch not needed
- Use tar.gz instead and include signature, to prove source legitimacy

* Mon Oct 13 2003 Abel Cheung <deaddog@deaddog.org> 0.5-1mdk
- First Mandrake package
- Patch0: Search in staging area first when relinking library
